<script lang="ts">
import Vue from 'vue';
import SlpCloseModal from '~/static/nuxt-images/video-carousels/close-modal-icon.vue';
import { UseLiteVimeo, UseLocalizedVideoSubtitles } from '~/mixins';

export default Vue.extend({
  name: 'SoftwareFasterVideoModal',
  components: {
    SlpCloseModal,
  },
  mixins: [UseLiteVimeo, UseLocalizedVideoSubtitles],
  props: {
    videoUrl: {
      type: String,
      required: false,
      default:
        'https://player.vimeo.com/video/779307258?h=59b06b0e99&amp;badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=58479',
    },
  },
});
</script>

<template>
  <div class="container" @click.self="$emit('close')">
    <button class="close-btn" @click="$emit('close')">
      <SlpCloseModal />
    </button>
    <lite-vimeo
      :videoid="getVimeoVideoId(createVideoSource(videoUrl))"
      autoplay
    ></lite-vimeo>
  </div>
</template>

<style lang="scss" scoped>
.container {
  display: flex;
  flex-direction: column;
  position: relative;
  margin-top: $spacing-160;

  lite-vimeo {
    border: none;
    width: 330px;
    height: 200px;

    @media (min-width: $breakpoint-md) {
      width: 700px;
      height: 390px;
    }

    @media (min-width: $breakpoint-lg) {
      width: 920px;
      height: 516px;
    }
  }

  .close-btn {
    position: absolute;
    right: -$spacing-8;
    width: 45px;
    height: 45px;
    top: -$spacing-24;
    border: none;
    cursor: pointer;

    @media (min-width: $breakpoint-lg) {
      right: -$spacing-24;
    }
  }
}
</style>
